Bug 29773 - aliases for nb_NO.utf8 and nn_NO.utf8
aliases for nb_NO.utf8 and nn_NO.utf8
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: Lib/Xlib (data)
git
Other All
: medium normal
Assigned To: Xorg Project Team
Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-23 18:08 UTC by Jens Petersen
Modified: 2010-09-10 02:32 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
add aliases for nb_NO.utf8 and nn_NO.utf8 (718 bytes, patch)
2010-08-23 18:08 UTC, Jens Petersen
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jens Petersen 2010-08-23 18:08:10 UTC
Created attachment 38116 [details] [review]
add aliases for nb_NO.utf8 and nn_NO.utf8

A while ago Norwegian no_NO was split into two locales
reflecting the two common languages in use now in modern Norway:
nb_NO and nn_NO.

nls/locale.alias.pre needs to be updated to reflect this:
it is missing aliases for nb_NO.utf8 and nn_NO.utf8.

(Desktop such as fedora default to .utf8 locales
not the preferred .UTF-8 and this can then break for
example input in Norwegian when using X compose example
in GTK apps.)

The attached patch adds the two missing aliases for Norwegian.
Comment 1 Alan Coopersmith 2010-09-09 19:25:44 UTC
Pushed to git master for libX11 1.4.   Thanks for the patch, but please
use git format-patch instead of just git diff next time.
Comment 2 Julien Cristau 2010-09-10 01:55:43 UTC
On Mon, Aug 23, 2010 at 18:08:11 -0700, bugzilla-daemon@freedesktop.org wrote:

> (Desktop such as fedora default to .utf8 locales
> not the preferred .UTF-8 and this can then break for
> example input in Norwegian when using X compose example
> in GTK apps.)
> 
Why the hell do they do that?
Comment 3 Jens Petersen 2010-09-10 02:32:43 UTC
(In reply to comment #2)
> > (Desktop such as fedora default to .utf8 locales
> > not the preferred .UTF-8 and this can then break for
> > example input in Norwegian when using X compose example
> > in GTK apps.)
> > 
> Why the hell do they do that?

I would like to know too. ;-)